#uses "fwUnitTestComponentAsserts.ctl"

#uses "unLHCLoggingDB/unLHCLoggingDBSettings.ctl"



//-------------------------------------------------------
void test_unLHCLoggingDBSettings_setupSuite() {

}

//--------------------------------------------------------
void test_unLHCLoggingDBSettings_teardownSuite() {

}

//--------------------------------------------------------
void test_unLHCLoggingDBSettings_isFileNameUnique(){
  mapping m1 = unLHCLoggingDBSettings_getSettingsForConfigFileGeneratorRule("");
  unLHCLoggingDBSettings_setSettingsForConfigFileGeneratorRule("M1", m1);

  assertTrue( unLHCLoggingDBSettings_isFileNameUnique("unLHCLoggingDBConfig.xml", "M2") == false, "Did not detect correctly that a file is already present in another rule with the same name.");
  assertTrue( unLHCLoggingDBSettings_isFileNameUnique("unLHCLoggingDBConfig.xml", "M1") == true, "Wrongly detected a non unique file name coming from the same rule.");
  assertTrue( unLHCLoggingDBSettings_isFileNameUnique("unLHCLoggingDBConfig_uniqueFileName.xml", "M2") == true, "Wrongly detected that the file name is not unique.");

  unLHCLoggingDBSettings_deleteConfigFileGeneratorRule("M1");
}
